Bug 1051169 - doesn't find gems with native extension installed in %gem_extdir_mri
Summary: doesn't find gems with native extension installed in %gem_extdir_mri
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygems
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 19:32 UTC by Björn 'besser82' Esser
Modified: 2014-01-28 04:39 UTC (History)
5 users (show)

Fixed In Version: rubygems-2.1.11-115.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-12 04:58:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-01-09 19:32:03 UTC
Description of problem:

  `gem which $gem_with_so_ext` reports `ERROR:  Can't find ruby library file
   or shared library $gem_with_so_ext`, although `gem list | grep
   $gem_with_so_ext` shows it is installed properly.


Version-Release number of selected component (if applicable):

  rubygems.2.1.11-114.fc20.noarch


How reproducible:

  100% -- I used `xmlparser` and `slop` for testing, other should behave
  the same.


Steps to Reproduce:

  1. pick a gem with native extension in %gem_extdir_mri
  2. gem which $picked_gem
  3. ERROR:  Can't find ruby library file or shared library $picked_gem
  4. pick a gem which is written in pure Ruby (no native so-extension)
  5. gem which $pure_ruby_gem
  6. Shows install-path correctly


Actual results:

  See above.


Expected results:

  Should work as expected or with "pure" Ruby gems.


Additional info:

  rubygems on Fedora 19 might be affected as well (didn't test).

Comment 1 Mamoru TASAKA 2014-01-10 07:11:18 UTC
F-19 also affected

Comment 2 Mamoru TASAKA 2014-01-10 08:06:40 UTC
For F-20, locally modified

Comment 3 Vít Ondruch 2014-01-10 08:39:19 UTC
Please note that there might be some interesting patch available in RubyGems 2.2, which would fix this issue. On the other hand, there were more changes, so it might be hard to backport.

Comment 4 Fedora Update System 2014-01-10 09:50:14 UTC
rubygems-2.1.11-115.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygems-2.1.11-115.fc20

Comment 5 Fedora Update System 2014-01-11 08:31:54 UTC
Package rubygems-2.1.11-115.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygems-2.1.11-115.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0604/rubygems-2.1.11-115.fc20
then log in and leave karma (feedback).

Comment 6 Mamoru TASAKA 2014-01-11 10:39:05 UTC
I will modify F-19 rubygems this weekend (perhaps)

Comment 7 Fedora Update System 2014-01-12 04:58:02 UTC
rubygems-2.1.11-115.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-15 04:30:37 UTC
rubygems-2.0.14-113.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygems-2.0.14-113.fc19

Comment 9 Fedora Update System 2014-01-28 04:39:29 UTC
rubygems-2.0.14-113.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.